//
//  NSData_base64.h
//  OnFlAppFoundation
//
//  Created by Ondrej Florian on 02/10/2010.
//  Copyright 2010 OnFlApp. All rights reserved.
//

#import <Foundation/NSData.h>

@interface NSData (Base64)

- (id) initWithBasex64String: (NSString *) base64String;
- (NSString *) basex64EncodedString;
- (NSData *) basex64EncodedData;

+ (NSData *) dataFromBasex64String: (NSString *) base64String;
+ (NSData*) dataFromBasex32String:(NSString *)encoded;
- (NSString *) basex32EncodedString;
@end
